# Return SpamAssassin™ settings

This function lists the Apache SpamAssassin™ settings for the account.

Note:

Additional customizations may appear in the returns. Form more information read the Apache SpamAssassin™ configuration file documentation.

Endpoint: GET /SpamAssassin/get_user_preferences
Version: 11.136.0.19
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_user_preferences"

  - `module` (string)
    The name of the module called.
    Example: "SpamAssassin"

  - `result` (object)

  - `result.data` (object)

  - `result.data.blacklist_from` (array)
    The email addresses on the blacklist.
    Example: ["username2@example.com"]

  - `result.data.required_score` (array)
    The score to mark a message as spam. The system considers mail that matches this score to be spam.
    Example: [5.1]

  - `result.data.score` (array)
    The symbolic test name and score.
    Example: ["ACT_NOW_CAPS 1"]

  - `result.data.whitelist_from` (array)
    The email addresses on the whitelist.
    Example: ["username@example.com"]

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success
* 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


